Bug 106012 - [CI] igt@kms_rotation_crc@*-rotation-180* - Test assertion failure function do_display_commit, Failed assertion: ret == 0
Summary: [CI] igt@kms_rotation_crc@*-rotation-180* - Test assertion failure function d...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Matt Roper
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-12 17:56 UTC by Martin Peres
Modified: 2019-11-09 01:41 UTC (History)
1 user (show)

See Also:
i915 platform: I915G, I965G
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-04-12 17:56:31 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-elk-e7500/igt@kms_rotation_crc@primary-rotation-180.html

(kms_rotation_crc:1274) igt_kms-CRITICAL: Test assertion failure function do_display_commit, file ../lib/igt_kms.c:3149:
(kms_rotation_crc:1274) igt_kms-CRITICAL: Failed assertion: ret == 0
(kms_rotation_crc:1274) igt_kms-CRITICAL: error: -1 != 0
Subtest primary-rotation-180 failed.


https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-bwr-2160/igt@kms_rotation_crc@primary-rotation-180.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-bwr-2160/igt@kms_rotation_crc@cursor-rotation-180.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-elk-e7500/igt@kms_rotation_crc@cursor-rotation-180.html
Comment 1 Matt Roper 2019-08-29 16:44:12 UTC
This test performs commits via COMMIT_ATOMIC, but fails to check whether the underlying platform actually supports atomic.  This leads to failures on pre-gen5 platforms that support the rotation property, but lack atomic modesetting support.

I'll send a patch to fix this shortly.
Comment 2 Matt Roper 2019-08-29 16:48:45 UTC
Proposed fix:  https://patchwork.freedesktop.org/series/66009/
Comment 3 Matt Roper 2019-08-30 23:04:42 UTC
Fix merged.
Comment 4 CI Bug Log 2019-11-09 01:41:15 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.